Storyden
Nodes

Node Delete

Delete a node and move its direct children to the root, or to the parent specified by `target_node`.

DELETE
/nodes/{node_slug}

Delete a node and move its direct children to the root, or to the parent specified by target_node.

Authorization

cookiestoryden-session<token>

Path Parameters

node_slug*string

Unique node Slug.

Formatxid

Query Parameters

target_node?string

If set, child nodes will be moved to the target node. If not set, child nodes will be moved to the root.

Response Body

Node deleted.

application/json
  1. response
destination?

A node is a text document with children and assets. It serves as an abstraction for grouping structured data objects. It can represent things such as brands, manufacturers, authors, directors, etc. Nodes can be referenced in content posts and they also have their own content.

Example Request
curl -X DELETE 'https://example.com/api/nodes/string'
Example Response
{  "destination": {    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "deletedAt": "2019-08-24T14:15:22Z",    "misc": {},    "name": "string",    "slug": "string",    "current_version_id": "string",    "assets": [      {        "id": "string",        "filename": "string",        "path": "string",        "mime_type": "string",        "width": 0,        "height": 0,        "parent": {}      }    ],    "link": {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "url": "string",      "slug": "string",      "domain": "string",      "title": "string",      "description": "string",      "favicon_image": {        "id": "string",        "filename": "string",        "path": "string",        "mime_type": "string",        "width": 0,        "height": 0,        "parent": {}      },      "primary_image": {        "id": "string",        "filename": "string",        "path": "string",        "mime_type": "string",        "width": 0,        "height": 0,        "parent": {}      },      "liveness_status": "unknown",      "liveness_checked_at": "2019-08-24T14:15:22Z",      "scrape_status": "pending",      "scrape_attempted_at": "2019-08-24T14:15:22Z",      "scraped_at": "2019-08-24T14:15:22Z"    },    "description": "string",    "primary_image": {      "id": "string",      "filename": "string",      "path": "string",      "mime_type": "string",      "width": 0,      "height": 0,      "parent": {}    },    "content": "string",    "owner": {      "id": "string",      "joined": "2019-08-24T14:15:22Z",      "suspended": "2019-08-24T14:15:22Z",      "handle": "string",      "name": "string",      "signature": "string",      "roles": [        {          "badge": true,          "default": true,          "id": "string",          "name": "string",          "colour": "string",          "meta": {}        }      ]    },    "parent": {},    "hide_child_tree": true,    "tags": [      {        "name": "string",        "colour": "string",        "item_count": 0      }    ],    "visibility": "draft",    "relevance_score": 0,    "meta": {}  }}